Summary:        NTLM Perl module
Name:           perl-NTLM
Version:        1.09
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/NTLM
Source0:        https://cpan.metacpan.org/authors/id/N/NB/NBEBOUT/NTLM-%{version}.tar.gz
Patch3000:      NTLM-1.09-Remove-shebangs-from-the-modules.patch

BuildRequires:  make perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(Exporter) perl(MIME::Base64) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(constant) perl(Digest::HMAC_MD5) perl(vars) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%perl_version)

BuildArch:      noarch

%description
This package provides a way to use NTLM authentication.It can implement the 
challenge/response mechanism for NTLM connections through the authentication 
method of the AIL ::IMAPClient module.It can also be used on its own for NTLM 
authentication with other protocols (eg. HTTP).

%prep
%autosetup -p1 -n NTLM-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 8 2022 Wang Guodong <gordonwwang@tencent.com> - 1.09-1
- package init.
